[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# UnicodeFormat

Format Unicode string

## Declaration

Source position: sysunih.inc line 31

`function UnicodeFormat(`
`const Fmt: UnicodeString;`
`const Args: array of Const`
`):UnicodeString; function UnicodeFormat(`
`const Fmt: UnicodeString;`
`const Args: array of Const;`
`const FormatSettings: TFormatSettings`
`):UnicodeString;`

## Description

UnicodeFormat is the Unicode equivalent of Format. It follows the same rules and uses the same formatting strings.

## Errors

In case of error, an EConvertError exception is raised.

## See also

Format |  | Format a string with given arguments.
UnicodeFormatBuf |  | Format a Unicode string with given arguments and store the result in a unicodebuffer.